%define release_name Laughin
%define dist_version 14

Summary:	Fuduntu release files
Name:		fuduntu-release
Version:	14
Release:	8.4
License:	GPLv2
Group:		System Environment/Base
URL:		http://www.sf.net/projects/fuduntu
Source:		%{name}-%{version}.tar.bz2

Obsoletes:	redhat-release
Obsoletes:	fedora-release
Obsoletes:	cairo-freeworld
Obsoletes:	totem
Obsoletes:	totem-nautilus

Provides:	redhat-release
Provides:	fedora-release
Provides:	system-release = %{version}-%{release}

Requires:	fuduntu-theme
Requires:	fuduntu-customizations
Requires:	fuduntu-likewise
Requires:	fuduntu-tomboy
#Requires:	nautilus
#Requires:       crebs
#Requires:       samba-client
#Requires:       nautilus-dropbox
#Requires:       preload
#Requires:	freetype-infinality
#Requires:	libXft-freeworld
#Requires:	fonts-config
#Requires:	flash-plugin
#Requires:	fluendo-codecs-mp3
#Requires:	java-1.6.0-openjdk-plugin
#Requires:	vlc
#Requires:	mozilla-vlc
#Requires:	bluez-compat
#Requires:	nautilus-beesu-manager
#Requires:	beesu
#Requires:	nautilus-actions
#Requires:	nautilus-open-terminal
#Requires:	ailurus
#Requires:	gnome-user-docs
#Requires:	gnome-color-manager
#Requires:	yelp
#Requires:	shutter

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Fuduntu release files such as yum configs and various /etc/ files that
define the release.

%package rawhide
Summary:        Rawhide repo definitions
Requires:       fedora-release = %{version}-%{release}
Requires:	fuduntu-theme
%description rawhide
This package provides repo definitions. Forked from Fedora-release.


%prep
%setup -q

%build

%post
if [ -e "/etc/init.d/preload" ]; then
  /sbin/chkconfig preload on 2>/dev/null || true
  /sbin/service preload start 2>/dev/null || true
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
echo "Fuduntu release %{version} (%{release_name})" > $RPM_BUILD_ROOT/etc/fedora-release
echo "cpe:/o:fuduntuproject:fuduntu:%{version}" > $RPM_BUILD_ROOT/etc/system-release-cpe
cp -p $RPM_BUILD_ROOT/etc/fedora-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m (\l)" >> $RPM_BUILD_ROOT/etc/issue
cp -p $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
ln -s fedora-release $RPM_BUILD_ROOT/etc/redhat-release
ln -s fedora-release $RPM_BUILD_ROOT/etc/system-release

install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg

install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

# Install all the keys, link the primary keys to primary arch files
# and to compat generic location
pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
for arch in i386 x86_64
  do
  ln -s RPM-GPG-KEY-fuduntu-%{dist_version}-primary RPM-GPG-KEY-fuduntu-$arch
  ln -s RPM-GPG-KEY-fedora-%{dist_version}-primary RPM-GPG-KEY-fedora-$arch
done
ln -s RPM-GPG-KEY-fuduntu-%{dist_version}-primary RPM-GPG-KEY-fuduntu
ln -s RPM-GPG-KEY-fedora-%{dist_version}-primary RPM-GPG-KEY-fedora
popd

install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
for file in f*repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

# Set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%fuduntu		%{dist_version}
%%dist		.fc%{dist_version}
%%fc%{dist_version}		1
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL 
%config %attr(0644,root,root) /etc/fedora-release
/etc/redhat-release
/etc/system-release
%config %attr(0644,root,root) /etc/system-release-cpe
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/fuduntu.repo
%config(noreplace) /etc/yum.repos.d/fedora.repo
%config(noreplace) /etc/yum.repos.d/fedora-updates*.repo
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%config %attr(0644,root,root) /etc/rpm/macros.dist
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*

%changelog
* Thu Feb 10 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-4
- Update dependencies to allow removal of non-wanted software
* Wed Jan 19 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-3
- Re-add gnome-user-docs, gnome-color-manager, and shutter
* Sun Jan 16 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-2
- Add Nautilus scripts, and Ailurus. Re-adds tomboy with an icon.
* Wed Jan 12 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8.1
- Fix missing Fluendo, and Flash
* Thu Jan 06 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8
- Add fuduntu-likewise, kernel 2.6.37, and beesu
- Retire BFS and the cgroups hack
* Mon Jan 03 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-7
- Added the following package(s): bluez-compat, Likewise Open
* Sat Dec 25 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-6
- Obsolete Totem (lots of bugs, and VLC works better)
* Fri Dec 24 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-5
- Reconfigure repositories to separate stable and testing, and SRPMS from RPMS
* Thu Dec 23 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-4
- Cairo Freeworld causes some application libraries to fail, force its removal
* Tue Dec 21 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-3
- Add infinality freetype
* Sat Dec 18 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-7.1
- Require samba-client, crebs, dropbox, and preload
* Fri Dec 03 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-6.1
- Moved tweaks to independent package
* Mon Nov 29 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.6
- Move cgroups tweak to init
- bash color prompt was missing on install
- tmp -> RAM missing on install
* Fri Nov 19 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.0-14
- Append 2>/dev/null to CPU group tweak to remove errors when in live mode
* Thu Nov 18 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.0-13
- Change IO elevator to deadline on startup (Note: This will become default in the next kernel build)
- Configure CPU groups to improve response time
* Mon Nov 16 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-0.12
- Require Fuduntu theme RPM
* Thu Nov 11 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-0.9
- Update repository to point to SourceForge
- Update default homepage to www.fuduntu.org
* Sat Nov 07 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-0.8
- Initial release 
